ICU 78.1: U_HEADER_ONLY_NAMESPACE::AllCodePoints< CP32 > Class Template Reference

ICU 78.1 78.1

Public Member Functions
U_HEADER_ONLY_NAMESPACE::AllCodePoints< CP32 > Class Template Reference

A C++ "range" over all Unicode code points U+0000..U+10FFFF. More...

`#include <utfiterator.h>`

## Public Member Functions
| AllCodePoints ()
| Constructor. More...
auto | begin () const
auto | end () const

## Detailed Description

### template<typename CP32>
class U_HEADER_ONLY_NAMESPACE::AllCodePoints< CP32 >

A C++ "range" over all Unicode code points U+0000..U+10FFFF.

https://www.unicode.org/glossary/#code_point

Intended for test and builder code.

Template Parameters

  CP32 | Code point type: UChar32 (=int32_t) or char32_t or uint32_t

Draft:
  This API may be changed in the future versions and was introduced in ICU 78

See also
  U_IS_CODE_POINT

Definition at line 302 of file utfiterator.h.

## Constructor & Destructor Documentation

## ◆ AllCodePoints()

template<typename CP32 >

U_HEADER_ONLY_NAMESPACE::AllCodePoints< CP32 >::AllCodePoints | ( |  | ) |
| inline

Constructor.

Draft:
  This API may be changed in the future versions and was introduced in ICU 78

Definition at line 306 of file utfiterator.h.

## Member Function Documentation

## ◆ begin()

template<typename CP32 >

auto U_HEADER_ONLY_NAMESPACE::AllCodePoints< CP32 >::begin | ( |  | ) | const
| inline

Returns
  an iterator over all Unicode code points. The iterator returns CP32 integers.

Draft:
  This API may be changed in the future versions and was introduced in ICU 78

Definition at line 312 of file utfiterator.h.

## ◆ end()

template<typename CP32 >

auto U_HEADER_ONLY_NAMESPACE::AllCodePoints< CP32 >::end | ( |  | ) | const
| inline

Returns
  an exclusive-end iterator over all Unicode code points.

Draft:
  This API may be changed in the future versions and was introduced in ICU 78

Definition at line 317 of file utfiterator.h.

The documentation for this class was generated from the following file:

- common/unicode/utfiterator.h